Bug 202936 - [MAINTAINER] net/ocserv: update to 0.10.8
Summary: [MAINTAINER] net/ocserv: update to 0.10.8
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-06 19:27 UTC by Carlos J Puga Medina
Modified: 2015-09-16 03:08 UTC (History)
2 users (show)

See Also:


Attachments
v0 (11.35 KB, patch)
2015-09-06 19:27 UTC, Carlos J Puga Medina
no flags Details | Diff
ocserv fails to build log on 10.2-amd64 (73.32 KB, text/plain)
2015-09-07 21:09 UTC, Carlos J Puga Medina
no flags Details
Test build of ocserv using GSSAPI option on an amd64 system with security/krb5 installed. (82.15 KB, text/plain)
2015-09-15 04:25 UTC, Cy Schubert
no flags Details
ocserv build log on 10.2-amd64 (74.91 KB, text/plain)
2015-09-16 00:57 UTC, Carlos J Puga Medina
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-09-06 19:27:54 UTC
Created attachment 160783 [details]
v0

- Update to 0.10.8 release
- Add libtasn1 dependency
- Fix patches
Comment 1 Carlos J Puga Medina 2015-09-06 19:29:18 UTC
- Convert GSSAPI to option helpers
Comment 3 Kurt Jaeger freebsd_committer 2015-09-06 19:46:27 UTC
testing@work
Comment 4 Carlos J Puga Medina 2015-09-06 19:55:25 UTC
GSSAPI support is disabled by default. I hope that cy@ has a moment to check it out.
Comment 5 commit-hook freebsd_committer 2015-09-06 20:25:12 UTC
A commit references this bug:

Author: pi
Date: Sun Sep  6 20:24:13 UTC 2015
New revision: 396231
URL: https://svnweb.freebsd.org/changeset/ports/396231

Log:
  net/ocserv: 0.10.7 -> 0.10.8

  - Update to 0.10.8 release
  - Add libtasn1 dependency
  - Fix patches

  PR:		202936
  Submitted by:	Carlos J Puga Medina <cpm@fbsd.es> (maintainer)

Changes:
  head/net/ocserv/Makefile
  head/net/ocserv/distinfo
  head/net/ocserv/files/patch-configure.ac
  head/net/ocserv/files/patch-doc_Makefile.am
  head/net/ocserv/files/patch-src_config.c
  head/net/ocserv/files/patch-src_main-ctl-unix.c
  head/net/ocserv/files/patch-src_main.c
  head/net/ocserv/files/patch-src_ocserv-args.def
Comment 6 Kurt Jaeger freebsd_committer 2015-09-06 20:25:35 UTC
Committed, thanks. Keeping open for the GSSAPI fix.
Comment 7 Carlos J Puga Medina 2015-09-06 20:29:09 UTC
(In reply to Kurt Jaeger from comment #6)

Perfect! Awaiting for cy@ feedback.
Comment 8 Carlos J Puga Medina 2015-09-07 10:24:28 UTC
(In reply to Carlos J Puga Medina from comment #7)

ocserv fails to build with GSSAPI enabled

<snip>
  CCLD     ocpasswd
  CCLD     occtl
  CCLD     ocserv
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_ccache_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_rd_rep_dce'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5int_init_context_kdc'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5int_cc_default'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_getrecvsubkey_k'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `decode_krb5_iakerb_finished'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_free_internal'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_set_keytab'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_set_checksum_func'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_cccol_have_content'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_set_authdata_context'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_set_attribute'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_unpack_bytes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_context_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_get_authdata_context'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_step'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5int_accessor'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_rcache_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_pack_int32'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `add_error_table'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_tkt_creds_free'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_cc_dup'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_export_authdata'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_tkt_creds_step'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_tkt_creds_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_size_opaque'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `decode_krb5_iakerb_header'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_auth_context_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5int_free_data_list'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_set_req_cksumtype'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_context_free'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_get_attribute'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_iakerb_finished'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_keytab_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_get_times'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_setsendsubkey_k'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_ap_req'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_tkt_creds_get_times'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `decode_krb5_error'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_unpack_int32'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_cc_copy_creds'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_sname_match'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_mk_rep_dce'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_export_attributes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_setpermetypes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_import_attributes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `k5_change_error_message_code'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_get_init_creds_opt_set_out_ccache'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_getsendsubkey_k'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_context_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_authdata'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_merge_authdata'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_export_internal'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_iakerb_header'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_rc_recover_or_initialize'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `encode_krb5_iakerb_finished'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_delete_attribute'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_context_copy'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `k5_kt_get_principal'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_keytab_entry_contents'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_getsendsubkey'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_anonymous_principal'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_kt_dup'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_rd_req_decoded'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_cc_select'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_free'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5int_copy_data_contents_add0'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `remove_error_table'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `encode_krb5_iakerb_header'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_externalize_opaque'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_set_default_tgs_enctypes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_setuseruserkey'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_get_credentials_for_user'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_internalize_opaque'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_pack_bytes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_set_password'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_tgt_creds'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `decode_krb5_ap_req'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `encode_krb5_ticket'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_getkey_k'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_kt_client_default'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_get_attribute_types'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
Makefile:1365: recipe for target 'ocserv' failed
gmake[6]: *** [ocserv] Error 1
gmake[6]: Leaving directory '/usr/ports/net/ocserv/work/ocserv-0.10.8/src'
Makefile:1477: recipe for target 'all-recursive' failed
gmake[5]: *** [all-recursive] Error 1
gmake[5]: Leaving directory '/usr/ports/net/ocserv/work/ocserv-0.10.8/src'
Makefile:1140: recipe for target 'all' failed
gmake[4]: *** [all] Error 2
gmake[4]: Leaving directory '/usr/ports/net/ocserv/work/ocserv-0.10.8/src'
Makefile:1006: recipe for target 'all-recursive' failed
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory '/usr/ports/net/ocserv/work/ocserv-0.10.8'
Makefile:947: recipe for target 'all' failed
gmake[2]: *** [all] Error 2
gmake[2]: Leaving directory '/usr/ports/net/ocserv/work/ocserv-0.10.8'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/net/ocserv
*** Error code 1

Stop.
make: stopped in /usr/ports/net/ocserv
Comment 9 Cy Schubert freebsd_committer 2015-09-07 20:22:12 UTC
No problems building with security/krb5 installed on amd64.
Comment 10 Kurt Jaeger freebsd_committer 2015-09-07 20:52:41 UTC
I can reproduce the problem with krb5 on cur-amd64.
Comment 11 Carlos J Puga Medina 2015-09-07 20:56:54 UTC
(In reply to Cy Schubert from comment #9)

Thanks for your reply, Cy. 

I've seen this build error on 10.2/amd64.

I'll attach the full build log at once. I'm not sure what will caused the undefined references.
Comment 12 Carlos J Puga Medina 2015-09-07 21:09:18 UTC
Created attachment 160822 [details]
ocserv fails to build log on 10.2-amd64
Comment 13 Cy Schubert freebsd_committer 2015-09-07 21:13:16 UTC
(In reply to Carlos J Puga Medina from comment #11)
That's what I used too.
Comment 14 Carlos J Puga Medina 2015-09-07 21:15:59 UTC
(In reply to Cy Schubert from comment #13)

Any thoughts what it could be?
Comment 15 Carlos J Puga Medina 2015-09-07 21:43:17 UTC
According to the verbose build output (make V=1), it fails to link against -L/usr/local/lib -lgssapi_krb5 

<snip>
cc  -O2 -pipe  -I/usr/local/include -fstack-protector -fno-strict-aliasing -Wall  -L/usr/local/lib -lintl -Wl,-rpath=/usr/lib:/usr/local/lib -Wl,-rpath,/usr/local/lib:/usr/lib -fstack-protector -o ocserv main.o main-auth.o worker-vpn.o worker-auth.o tlslib.o cookies.o main-misc.o ip-lease.o log.o tun.o config-kkdcp.o config.o worker-resume.o main-resume.o worker-extras.o html.o worker-http.o main-user.o worker-misc.o route-add.o worker-privs.o sec-mod.o sec-mod-db.o sec-mod-auth.o common.o system.o auth/pam.o auth/plain.o auth/radius.o auth/common.o auth/gssapi.o auth-unix.o acct/radius.o icmp-ping.o worker-kkdcp.o subconfig.o sec-mod-sup-config.o sup-config/file.o main-sec-mod-cmd.o sup-config/radius.o worker-bandwidth.o vasprintf.o worker-proxyproto.o proc-search.o main-ban.o str.o ccan/hash/hash.o ccan/htable/htable.o ccan/list/list.o  http-parser/http_parser.o  setproctitle.o lzs.o kkdcp_asn1_tab.o ipc.pb-c.o ctl.pb-c.o main-ctl-unix.o ../gl/libgnu.a ../libopts/libopts.a libcmd-ocserv.a -L/usr/local/lib -lgnutls   -lpam -lutil  -lwrap -lcrypt  -L/usr/local/lib -lprotobuf-c    -L/usr/local/lib -ltalloc    -L/usr/local/lib -llz4   -L/usr/local/lib -lgssapi_krb5   -L/usr/local/lib -ltasn1    pcl/libpcl.a -lintl 
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_ccache_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_rd_rep_dce'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5int_init_context_kdc'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5int_cc_default'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_getrecvsubkey_k'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `decode_krb5_iakerb_finished'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_free_internal'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_set_keytab'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_set_checksum_func'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_cccol_have_content'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_set_authdata_context'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_set_attribute'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_unpack_bytes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_context_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_get_authdata_context'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_step'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5int_accessor'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_rcache_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_pack_int32'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `add_error_table'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_tkt_creds_free'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_cc_dup'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_export_authdata'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_tkt_creds_step'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_tkt_creds_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_size_opaque'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `decode_krb5_iakerb_header'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_auth_context_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5int_free_data_list'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_set_req_cksumtype'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_context_free'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_get_attribute'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_iakerb_finished'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_keytab_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_get_times'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_setsendsubkey_k'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_ap_req'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_tkt_creds_get_times'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `decode_krb5_error'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_unpack_int32'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_cc_copy_creds'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_sname_match'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_mk_rep_dce'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_export_attributes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_setpermetypes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_import_attributes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `k5_change_error_message_code'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_get_init_creds_opt_set_out_ccache'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_getsendsubkey_k'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_context_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_authdata'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_merge_authdata'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_export_internal'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_iakerb_header'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_rc_recover_or_initialize'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `encode_krb5_iakerb_finished'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_delete_attribute'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_context_copy'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `k5_kt_get_principal'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_keytab_entry_contents'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_getsendsubkey'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_anonymous_principal'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_init'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_kt_dup'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_rd_req_decoded'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_cc_select'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_free'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5int_copy_data_contents_add0'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `remove_error_table'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `encode_krb5_iakerb_header'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_externalize_opaque'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_set_default_tgs_enctypes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_setuseruserkey'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_get_credentials_for_user'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_internalize_opaque'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_ser_pack_bytes'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_init_creds_set_password'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_free_tgt_creds'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `decode_krb5_ap_req'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `encode_krb5_ticket'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_auth_con_getkey_k'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_kt_client_default'
/usr/local/lib/libgssapi_krb5.so: undefined reference to `krb5_authdata_get_attribute_types'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
Makefile:1365: recipe for target 'ocserv' failed
gmake[6]: *** [ocserv] Error 1
gmake[6]: Leaving directory '/usr/ports/net/ocserv/work/ocserv-0.10.8/src'
Makefile:1477: recipe for target 'all-recursive' failed
gmake[5]: *** [all-recursive] Error 1
gmake[5]: Leaving directory '/usr/ports/net/ocserv/work/ocserv-0.10.8/src'
Makefile:1140: recipe for target 'all' failed
gmake[4]: *** [all] Error 2
gmake[4]: Leaving directory '/usr/ports/net/ocserv/work/ocserv-0.10.8/src'
Makefile:1006: recipe for target 'all-recursive' failed
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory '/usr/ports/net/ocserv/work/ocserv-0.10.8'
Makefile:947: recipe for target 'all' failed
gmake[2]: *** [all] Error 2
gmake[2]: Leaving directory '/usr/ports/net/ocserv/work/ocserv-0.10.8'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/net/ocserv
*** Error code 1

Stop.
make: stopped in /usr/ports/net/ocserv
Comment 16 Carlos J Puga Medina 2015-09-14 19:17:33 UTC
@cy are you sure that you can build ocserv with GSSAPI support enabled? I'm unable to build it successfully :/
Comment 17 Cy Schubert freebsd_committer 2015-09-15 04:25:34 UTC
Created attachment 161046 [details]
Test build of ocserv using GSSAPI option on an amd64 system with security/krb5 installed.

As promised, attached is a build log on a 10.2 amd64 system with security/krb5 installed.
Comment 18 Carlos J Puga Medina 2015-09-15 12:43:51 UTC
(In reply to Cy Schubert from comment #17)

% ldd /usr/local/lib/libgssapi_krb5.so
/usr/local/lib/libgssapi_krb5.so:
	libkrb5.so => /usr/local/lib/libkrb5.so (0x801647000)
	libk5crypto.so => /usr/local/lib/libk5crypto.so (0x801929000)
	libcom_err.so => /usr/local/lib/libcom_err.so (0x801b58000)
	libkrb5support.so => /usr/local/lib/libkrb5support.so (0x801d5b000)
	libintl.so.8 => /usr/local/lib/libintl.so.8 (0x801f68000)
	libc.so.7 => /lib/libc.so.7 (0x800821000)

Can you check it?

Thanks, Cy
Comment 19 Carlos J Puga Medina 2015-09-15 13:34:21 UTC
It seems fine...

% nm -D /usr/local/lib/libgssapi_krb5.so | grep krb5_
                 U decode_krb5_ap_req
                 U decode_krb5_error
                 U decode_krb5_iakerb_finished
                 U decode_krb5_iakerb_header
                 U encode_krb5_iakerb_finished
                 U encode_krb5_iakerb_header
                 U encode_krb5_ticket
00000000000329b0 T gss_krb5_ccache_name
00000000000327d0 T gss_krb5_copy_ccache
0000000000032860 T gss_krb5_export_lucid_sec_context
00000000000329f0 T gss_krb5_free_lucid_sec_context
0000000000032740 T gss_krb5_get_tkt_flags
0000000000032810 T gss_krb5_import_cred
0000000000032970 T gss_krb5_set_allowable_enctypes
0000000000032bd0 T gss_krb5_set_cred_rcache
0000000000245078 D gss_mech_krb5_old
0000000000245080 D gss_mech_krb5_wrong
0000000000244eb0 D gss_mech_set_krb5_both
0000000000244ea8 D gss_mech_set_krb5_old
0000000000245090 D gss_nt_krb5_name
0000000000245098 D gss_nt_krb5_principal
0000000000246d98 B gssint_krb5_keytab_lock
0000000000032c10 T gsskrb5_extract_authtime_from_sec_context
0000000000032ad0 T gsskrb5_extract_authz_data_from_sec_context
                 U krb5_aname_to_localname
                 U krb5_anonymous_principal
                 U krb5_auth_con_free
                 U krb5_auth_con_get_authdata_context
                 U krb5_auth_con_getauthenticator
                 U krb5_auth_con_getflags
                 U krb5_auth_con_getkey_k
                 U krb5_auth_con_getlocalseqnumber
                 U krb5_auth_con_getrecvsubkey_k
                 U krb5_auth_con_getremoteseqnumber
                 U krb5_auth_con_getsendsubkey
                 U krb5_auth_con_getsendsubkey_k
                 U krb5_auth_con_init
                 U krb5_auth_con_set_authdata_context
                 U krb5_auth_con_set_checksum_func
                 U krb5_auth_con_set_req_cksumtype
                 U krb5_auth_con_setaddrs
                 U krb5_auth_con_setflags
                 U krb5_auth_con_setpermetypes
                 U krb5_auth_con_setrcache
                 U krb5_auth_con_setsendsubkey_k
                 U krb5_auth_con_setuseruserkey
                 U krb5_authdata_context_copy
                 U krb5_authdata_context_free
                 U krb5_authdata_context_init
                 U krb5_authdata_delete_attribute
                 U krb5_authdata_export_attributes
                 U krb5_authdata_export_authdata
                 U krb5_authdata_export_internal
                 U krb5_authdata_free_internal
                 U krb5_authdata_get_attribute
                 U krb5_authdata_get_attribute_types
                 U krb5_authdata_import_attributes
                 U krb5_authdata_set_attribute
                 U krb5_build_principal
                 U krb5_build_principal_ext
                 U krb5_c_block_size
                 U krb5_c_checksum_length
                 U krb5_c_crypto_length
                 U krb5_c_make_checksum
                 U krb5_c_padding_length
                 U krb5_c_prf_length
                 U krb5_c_random_make_octets
                 U krb5_c_valid_enctype
                 U krb5_cc_cache_match
                 U krb5_cc_close
                 U krb5_cc_copy_creds
                 U krb5_cc_default
                 U krb5_cc_default_name
                 U krb5_cc_destroy
                 U krb5_cc_dup
                 U krb5_cc_end_seq_get
                 U krb5_cc_get_full_name
                 U krb5_cc_get_principal
                 U krb5_cc_get_type
                 U krb5_cc_initialize
                 U krb5_cc_new_unique
                 U krb5_cc_next_cred
                 U krb5_cc_resolve
                 U krb5_cc_retrieve_cred
                 U krb5_cc_select
                 U krb5_cc_set_config
                 U krb5_cc_set_default_name
                 U krb5_cc_set_flags
                 U krb5_cc_start_seq_get
                 U krb5_cc_store_cred
                 U krb5_cc_support_switch
                 U krb5_cccol_have_content
                 U krb5_clear_error_message
                 U krb5_copy_principal
                 U krb5_encrypt_size
                 U krb5_externalize_opaque
                 U krb5_free_addresses
                 U krb5_free_ap_rep_enc_part
                 U krb5_free_ap_req
                 U krb5_free_authdata
                 U krb5_free_authenticator
                 U krb5_free_checksum_contents
                 U krb5_free_context
                 U krb5_free_cred_contents
                 U krb5_free_creds
                 U krb5_free_data
                 U krb5_free_data_contents
                 U krb5_free_error
                 U krb5_free_error_message
                 U krb5_free_iakerb_finished
                 U krb5_free_iakerb_header
                 U krb5_free_keyblock
                 U krb5_free_keytab_entry_contents
                 U krb5_free_principal
                 U krb5_free_tgt_creds
                 U krb5_free_unparsed_name
                 U krb5_fwd_tgt_creds
                 U krb5_get_credentials
                 U krb5_get_credentials_for_user
                 U krb5_get_error_message
                 U krb5_get_init_creds_keytab
                 U krb5_get_init_creds_opt_alloc
                 U krb5_get_init_creds_opt_free
                 U krb5_get_init_creds_opt_set_out_ccache
                 U krb5_get_init_creds_opt_set_tkt_life
                 U krb5_get_init_creds_password
                 U krb5_get_server_rcache
0000000000023610 T krb5_gss_accept_sec_context
0000000000021710 T krb5_gss_accept_sec_context_ext
0000000000024300 T krb5_gss_acquire_cred
0000000000024750 T krb5_gss_acquire_cred_from
0000000000034840 T krb5_gss_acquire_cred_impersonate_name
0000000000024460 T krb5_gss_acquire_cred_with_password
00000000000251c0 T krb5_gss_canonicalize_name
0000000000025260 T krb5_gss_compare_name
00000000000252d0 T krb5_gss_context_time
000000000002b560 T krb5_gss_convert_static_mech_oid
0000000000246db8 B krb5_gss_dbg_client_expcreds
0000000000025b90 T krb5_gss_delete_error_info
0000000000033ba0 T krb5_gss_delete_name_attribute
0000000000025660 T krb5_gss_delete_sec_context
00000000000257a0 T krb5_gss_display_name
0000000000025be0 T krb5_gss_display_status
0000000000025d70 T krb5_gss_duplicate_name
0000000000025e00 T krb5_gss_export_cred
0000000000026e40 T krb5_gss_export_name
0000000000033ff0 T krb5_gss_export_name_composite
0000000000026fa0 T krb5_gss_export_sec_context
00000000000258d0 T krb5_gss_get_error_message
000000000002e1b0 T krb5_gss_get_mic
000000000002ed60 T krb5_gss_get_mic_iov
000000000002ed90 T krb5_gss_get_mic_iov_length
00000000000337f0 T krb5_gss_get_name_attribute
0000000000029490 T krb5_gss_import_cred
000000000002aa60 T krb5_gss_import_name
000000000002b630 T krb5_gss_import_sec_context
000000000002b790 T krb5_gss_indicate_mechs
000000000002cae0 T krb5_gss_init_context
000000000002cc40 T krb5_gss_init_sec_context
000000000002b7b0 T krb5_gss_init_sec_context_ext
000000000002cfb0 T krb5_gss_inquire_context
000000000002d3b0 T krb5_gss_inquire_cred
000000000002d6e0 T krb5_gss_inquire_cred_by_mech
0000000000033520 T krb5_gss_inquire_name
000000000002d760 T krb5_gss_inquire_names_for_mech
0000000000034770 T krb5_gss_internal_release_oid
0000000000033d00 T krb5_gss_map_name_to_any
0000000000244e20 D krb5_gss_oid_array
0000000000034510 T krb5_gss_process_context_token
0000000000034270 T krb5_gss_pseudo_random
0000000000032a30 T krb5_gss_register_acceptor_identity
0000000000033e70 T krb5_gss_release_any_name_mapping
0000000000034570 T krb5_gss_release_cred
00000000000347e0 T krb5_gss_release_name
0000000000034700 T krb5_gss_release_oid
0000000000025b20 T krb5_gss_save_error_info
0000000000025a70 T krb5_gss_save_error_message
0000000000025920 T krb5_gss_save_error_string
000000000002b5e0 T krb5_gss_ser_init
0000000000033a20 T krb5_gss_set_name_attribute
0000000000036220 T krb5_gss_store_cred
0000000000036250 T krb5_gss_store_cred_into
00000000000316d0 T krb5_gss_unwrap
0000000000032680 T krb5_gss_unwrap_iov
0000000000032a80 T krb5_gss_use_kdc_context
00000000000381a0 T krb5_gss_validate_cred
0000000000038080 T krb5_gss_validate_cred_1
00000000000316f0 T krb5_gss_verify_mic
00000000000326a0 T krb5_gss_verify_mic_iov
000000000002e180 T krb5_gss_wrap
000000000002ed00 T krb5_gss_wrap_iov
000000000002ed30 T krb5_gss_wrap_iov_length
0000000000038240 T krb5_gss_wrap_size_limit
                 U krb5_init_context
                 U krb5_init_creds_free
                 U krb5_init_creds_get_times
                 U krb5_init_creds_init
                 U krb5_init_creds_set_keytab
                 U krb5_init_creds_set_password
                 U krb5_init_creds_step
                 U krb5_internalize_opaque
                 U krb5_is_config_principal
                 U krb5_k_create_key
                 U krb5_k_decrypt
                 U krb5_k_decrypt_iov
                 U krb5_k_encrypt
                 U krb5_k_encrypt_iov
                 U krb5_k_free_key
                 U krb5_k_key_enctype
                 U krb5_k_key_keyblock
                 U krb5_k_make_checksum
                 U krb5_k_make_checksum_iov
                 U krb5_k_prf
                 U krb5_k_verify_checksum
                 U krb5_k_verify_checksum_iov
                 U krb5_kt_client_default
                 U krb5_kt_close
                 U krb5_kt_default
                 U krb5_kt_dup
                 U krb5_kt_end_seq_get
                 U krb5_kt_free_entry
                 U krb5_kt_get_entry
                 U krb5_kt_get_name
                 U krb5_kt_have_content
                 U krb5_kt_next_entry
                 U krb5_kt_resolve
                 U krb5_kt_start_seq_get
                 U krb5_kuserok
                 U krb5_merge_authdata
                 U krb5_mk_error
                 U krb5_mk_rep
                 U krb5_mk_rep_dce
                 U krb5_mk_req_extended
                 U krb5_parse_name
                 U krb5_principal_compare
                 U krb5_rc_close
                 U krb5_rc_get_name
                 U krb5_rc_get_type
                 U krb5_rc_recover_or_initialize
                 U krb5_rc_resolve_full
                 U krb5_rd_cred
                 U krb5_rd_error
                 U krb5_rd_rep
                 U krb5_rd_rep_dce
                 U krb5_rd_req_decoded
                 U krb5_sendto_kdc
                 U krb5_ser_auth_context_init
                 U krb5_ser_ccache_init
                 U krb5_ser_context_init
                 U krb5_ser_keytab_init
                 U krb5_ser_pack_bytes
                 U krb5_ser_pack_int32
                 U krb5_ser_rcache_init
                 U krb5_ser_unpack_bytes
                 U krb5_ser_unpack_int32
                 U krb5_set_default_tgs_enctypes
                 U krb5_set_error_message
                 U krb5_size_opaque
                 U krb5_sname_match
                 U krb5_sname_to_principal
                 U krb5_timeofday
                 U krb5_tkt_creds_free
                 U krb5_tkt_creds_get_times
                 U krb5_tkt_creds_init
                 U krb5_tkt_creds_step
                 U krb5_unparse_name
                 U krb5_us_timeofday
Comment 20 Cy Schubert freebsd_committer 2015-09-15 14:07:57 UTC
$ nm -D /usr/local/lib/libgssapi_krb5.so | grep krb5_
                 U decode_krb5_ap_req
                 U decode_krb5_error
                 U decode_krb5_iakerb_finished
                 U decode_krb5_iakerb_header
                 U encode_krb5_iakerb_finished
                 U encode_krb5_iakerb_header
                 U encode_krb5_ticket
00000000000329b0 T gss_krb5_ccache_name
00000000000327d0 T gss_krb5_copy_ccache
0000000000032860 T gss_krb5_export_lucid_sec_context
00000000000329f0 T gss_krb5_free_lucid_sec_context
0000000000032740 T gss_krb5_get_tkt_flags
0000000000032810 T gss_krb5_import_cred
0000000000032970 T gss_krb5_set_allowable_enctypes
0000000000032bd0 T gss_krb5_set_cred_rcache
0000000000245078 D gss_mech_krb5_old
0000000000245080 D gss_mech_krb5_wrong
0000000000244eb0 D gss_mech_set_krb5_both
0000000000244ea8 D gss_mech_set_krb5_old
0000000000245090 D gss_nt_krb5_name
0000000000245098 D gss_nt_krb5_principal
0000000000246d98 B gssint_krb5_keytab_lock
0000000000032c10 T gsskrb5_extract_authtime_from_sec_context
0000000000032ad0 T gsskrb5_extract_authz_data_from_sec_context
                 U krb5_aname_to_localname
                 U krb5_anonymous_principal
                 U krb5_auth_con_free
                 U krb5_auth_con_get_authdata_context
                 U krb5_auth_con_getauthenticator
                 U krb5_auth_con_getflags
                 U krb5_auth_con_getkey_k
                 U krb5_auth_con_getlocalseqnumber
                 U krb5_auth_con_getrecvsubkey_k
                 U krb5_auth_con_getremoteseqnumber
                 U krb5_auth_con_getsendsubkey
                 U krb5_auth_con_getsendsubkey_k
                 U krb5_auth_con_init
                 U krb5_auth_con_set_authdata_context
                 U krb5_auth_con_set_checksum_func
                 U krb5_auth_con_set_req_cksumtype
                 U krb5_auth_con_setaddrs
                 U krb5_auth_con_setflags
                 U krb5_auth_con_setpermetypes
                 U krb5_auth_con_setrcache
                 U krb5_auth_con_setsendsubkey_k
                 U krb5_auth_con_setuseruserkey
                 U krb5_authdata_context_copy
                 U krb5_authdata_context_free
                 U krb5_authdata_context_init
                 U krb5_authdata_delete_attribute
                 U krb5_authdata_export_attributes
                 U krb5_authdata_export_authdata
                 U krb5_authdata_export_internal
                 U krb5_authdata_free_internal
                 U krb5_authdata_get_attribute
                 U krb5_authdata_get_attribute_types
                 U krb5_authdata_import_attributes
                 U krb5_authdata_set_attribute
                 U krb5_build_principal
                 U krb5_build_principal_ext
                 U krb5_c_block_size
                 U krb5_c_checksum_length
                 U krb5_c_crypto_length
                 U krb5_c_make_checksum
                 U krb5_c_padding_length
                 U krb5_c_prf_length
                 U krb5_c_random_make_octets
                 U krb5_c_valid_enctype
                 U krb5_cc_cache_match
                 U krb5_cc_close
                 U krb5_cc_copy_creds
                 U krb5_cc_default
                 U krb5_cc_default_name
                 U krb5_cc_destroy
                 U krb5_cc_dup
                 U krb5_cc_end_seq_get
                 U krb5_cc_get_full_name
                 U krb5_cc_get_principal
                 U krb5_cc_get_type
                 U krb5_cc_initialize
                 U krb5_cc_new_unique
                 U krb5_cc_next_cred
                 U krb5_cc_resolve
                 U krb5_cc_retrieve_cred
                 U krb5_cc_select
                 U krb5_cc_set_config
                 U krb5_cc_set_default_name
                 U krb5_cc_set_flags
                 U krb5_cc_start_seq_get
                 U krb5_cc_store_cred
                 U krb5_cc_support_switch
                 U krb5_cccol_have_content
                 U krb5_clear_error_message
                 U krb5_copy_principal
                 U krb5_encrypt_size
                 U krb5_externalize_opaque
                 U krb5_free_addresses
                 U krb5_free_ap_rep_enc_part
                 U krb5_free_ap_req
                 U krb5_free_authdata
                 U krb5_free_authenticator
                 U krb5_free_checksum_contents
                 U krb5_free_context
                 U krb5_free_cred_contents
                 U krb5_free_creds
                 U krb5_free_data
                 U krb5_free_data_contents
                 U krb5_free_error
                 U krb5_free_error_message
                 U krb5_free_iakerb_finished
                 U krb5_free_iakerb_header
                 U krb5_free_keyblock
                 U krb5_free_keytab_entry_contents
                 U krb5_free_principal
                 U krb5_free_tgt_creds
                 U krb5_free_unparsed_name
                 U krb5_fwd_tgt_creds
                 U krb5_get_credentials
                 U krb5_get_credentials_for_user
                 U krb5_get_error_message
                 U krb5_get_init_creds_keytab
                 U krb5_get_init_creds_opt_alloc
                 U krb5_get_init_creds_opt_free
                 U krb5_get_init_creds_opt_set_out_ccache
                 U krb5_get_init_creds_opt_set_tkt_life
                 U krb5_get_init_creds_password
                 U krb5_get_server_rcache
0000000000023610 T krb5_gss_accept_sec_context
0000000000021710 T krb5_gss_accept_sec_context_ext
0000000000024300 T krb5_gss_acquire_cred
0000000000024750 T krb5_gss_acquire_cred_from
0000000000034840 T krb5_gss_acquire_cred_impersonate_name
0000000000024460 T krb5_gss_acquire_cred_with_password
00000000000251c0 T krb5_gss_canonicalize_name
0000000000025260 T krb5_gss_compare_name
00000000000252d0 T krb5_gss_context_time
000000000002b560 T krb5_gss_convert_static_mech_oid
0000000000246db8 B krb5_gss_dbg_client_expcreds
0000000000025b90 T krb5_gss_delete_error_info
0000000000033ba0 T krb5_gss_delete_name_attribute
0000000000025660 T krb5_gss_delete_sec_context
00000000000257a0 T krb5_gss_display_name
0000000000025be0 T krb5_gss_display_status
0000000000025d70 T krb5_gss_duplicate_name
0000000000025e00 T krb5_gss_export_cred
0000000000026e40 T krb5_gss_export_name
0000000000033ff0 T krb5_gss_export_name_composite
0000000000026fa0 T krb5_gss_export_sec_context
00000000000258d0 T krb5_gss_get_error_message
000000000002e1b0 T krb5_gss_get_mic
000000000002ed60 T krb5_gss_get_mic_iov
000000000002ed90 T krb5_gss_get_mic_iov_length
00000000000337f0 T krb5_gss_get_name_attribute
0000000000029490 T krb5_gss_import_cred
000000000002aa60 T krb5_gss_import_name
000000000002b630 T krb5_gss_import_sec_context
000000000002b790 T krb5_gss_indicate_mechs
000000000002cae0 T krb5_gss_init_context
000000000002cc40 T krb5_gss_init_sec_context
000000000002b7b0 T krb5_gss_init_sec_context_ext
000000000002cfb0 T krb5_gss_inquire_context
000000000002d3b0 T krb5_gss_inquire_cred
000000000002d6e0 T krb5_gss_inquire_cred_by_mech
0000000000033520 T krb5_gss_inquire_name
000000000002d760 T krb5_gss_inquire_names_for_mech
0000000000034770 T krb5_gss_internal_release_oid
0000000000033d00 T krb5_gss_map_name_to_any
0000000000244e20 D krb5_gss_oid_array
0000000000034510 T krb5_gss_process_context_token
0000000000034270 T krb5_gss_pseudo_random
0000000000032a30 T krb5_gss_register_acceptor_identity
0000000000033e70 T krb5_gss_release_any_name_mapping
0000000000034570 T krb5_gss_release_cred
00000000000347e0 T krb5_gss_release_name
0000000000034700 T krb5_gss_release_oid
0000000000025b20 T krb5_gss_save_error_info
0000000000025a70 T krb5_gss_save_error_message
0000000000025920 T krb5_gss_save_error_string
000000000002b5e0 T krb5_gss_ser_init
0000000000033a20 T krb5_gss_set_name_attribute
0000000000036220 T krb5_gss_store_cred
0000000000036250 T krb5_gss_store_cred_into
00000000000316d0 T krb5_gss_unwrap
0000000000032680 T krb5_gss_unwrap_iov
0000000000032a80 T krb5_gss_use_kdc_context
00000000000381a0 T krb5_gss_validate_cred
0000000000038080 T krb5_gss_validate_cred_1
00000000000316f0 T krb5_gss_verify_mic
00000000000326a0 T krb5_gss_verify_mic_iov
000000000002e180 T krb5_gss_wrap
000000000002ed00 T krb5_gss_wrap_iov
000000000002ed30 T krb5_gss_wrap_iov_length
0000000000038240 T krb5_gss_wrap_size_limit
                 U krb5_init_context
                 U krb5_init_creds_free
                 U krb5_init_creds_get_times
                 U krb5_init_creds_init
                 U krb5_init_creds_set_keytab
                 U krb5_init_creds_set_password
                 U krb5_init_creds_step
                 U krb5_internalize_opaque
                 U krb5_is_config_principal
                 U krb5_k_create_key
                 U krb5_k_decrypt
                 U krb5_k_decrypt_iov
                 U krb5_k_encrypt
                 U krb5_k_encrypt_iov
                 U krb5_k_free_key
                 U krb5_k_key_enctype
                 U krb5_k_key_keyblock
                 U krb5_k_make_checksum
                 U krb5_k_make_checksum_iov
                 U krb5_k_prf
                 U krb5_k_verify_checksum
                 U krb5_k_verify_checksum_iov
                 U krb5_kt_client_default
                 U krb5_kt_close
                 U krb5_kt_default
                 U krb5_kt_dup
                 U krb5_kt_end_seq_get
                 U krb5_kt_free_entry
                 U krb5_kt_get_entry
                 U krb5_kt_get_name
                 U krb5_kt_have_content
                 U krb5_kt_next_entry
                 U krb5_kt_resolve
                 U krb5_kt_start_seq_get
                 U krb5_kuserok
                 U krb5_merge_authdata
                 U krb5_mk_error
                 U krb5_mk_rep
                 U krb5_mk_rep_dce
                 U krb5_mk_req_extended
                 U krb5_parse_name
                 U krb5_principal_compare
                 U krb5_rc_close
                 U krb5_rc_get_name
                 U krb5_rc_get_type
                 U krb5_rc_recover_or_initialize
                 U krb5_rc_resolve_full
                 U krb5_rd_cred
                 U krb5_rd_error
                 U krb5_rd_rep
                 U krb5_rd_rep_dce
                 U krb5_rd_req_decoded
                 U krb5_sendto_kdc
                 U krb5_ser_auth_context_init
                 U krb5_ser_ccache_init
                 U krb5_ser_context_init
                 U krb5_ser_keytab_init
                 U krb5_ser_pack_bytes
                 U krb5_ser_pack_int32
                 U krb5_ser_rcache_init
                 U krb5_ser_unpack_bytes
                 U krb5_ser_unpack_int32
                 U krb5_set_default_tgs_enctypes
                 U krb5_set_error_message
                 U krb5_size_opaque
                 U krb5_sname_match
                 U krb5_sname_to_principal
                 U krb5_timeofday
                 U krb5_tkt_creds_free
                 U krb5_tkt_creds_get_times
                 U krb5_tkt_creds_init
                 U krb5_tkt_creds_step
                 U krb5_unparse_name
                 U krb5_us_timeofday

IIRC, you're linking against base krb5.so and security/krb5's libgssapi_krb5.so.

Have you tried building under poudriere? 

What do do you have in make.conf, rc.conf, environment variables?
Comment 21 Carlos J Puga Medina 2015-09-15 14:16:37 UTC
> Have you tried building under poudriere? 

Yes, I tried it but it fails also.


> What do do you have in make.conf, rc.conf, environment variables?

% cat /etc/make.conf 
DEFAULT_VERSIONS+=perl5=5.22

#DEVELOPER=yes

# specific conditional options for ports
.if ${.CURDIR:M*/multimedia/mpv}
INSTALLS_ICONS=yes
.endif

% cat /etc/rc.conf
# Enable high resolution
#allscreens_flags="MODE_354"

# Hostname
hostname="bsd.nix"

# Keymap and fonts
#font8x8="iso15-8x8"
#font8x14="iso15-8x14"
#font8x16="iso15-8x16"
keyrate="fast"
#keymap="spanish.iso15.acc.kbd"
keymap="es.acc"

# NETWORK setup
wlans_ath0="wlan0"
#ifconfig_em0="DHCP"
ifconfig_wlan0="WPA DHCP mode 11g country ES"
gateway_enable="YES" # Enable as LAN gateway for IPv4

# Enable SSH
sshd_enable="YES"

# NTP daemon program
ntpd_enable="YES"

# Set dumpdev to "AUTO" to enable crash dumps, "NO" to disable
dumpdev="AUTO"

# Update version info in /etc/motd
update_motd="YES"

# Clear temporary files
#clear_tmp_enable="YES"
#clear_tmp_X="YES"

# File system consistency check and interactive repair
fsck_y_enable="YES"
background_fsck="NO"

# Device permissions for normal users
devfs_system_ruleset="devfsrules_common"

# GNOME desktop environment services
dbus_enable="YES"
hald_enable="YES"
moused_enable="YES"
gdm_enable="YES"
gnome_enable="YES"
webcamd_enable="YES"

# Enable CUPS
cupsd_enable="YES"

# Enable Linux compatibility
linux_enable="YES"

# Enable S.M.A.R.T.
smartd_enable="YES"

# spamassassin mail filter
spamd_enable="YES"

# Enable tor
tor_enable="NO"

# A list of kernel modules to load right after the local
# disks are mounted
kld_list='coretemp'

# System power control utility
powerd_enable="YES"
powerd_flags="-a hiadaptive -b hiadaptive"
perfomance_cx_lowest="Cmax"
economy_cx_lowest="Cmax"

# Enable BSD-Stats
bsdstats_enable="NO"

# Packet Filter
pf_enable="YES"
pf_rules="/etc/pf.conf"
pflog_enable="YES"
pflog_logfile="/var/log/pf.log"
pfstatd_enable="YES"

# Enable VirtualBox modules
vboxdrv_enable="YES"
vboxnet_enable="YES"

% env
LC_MESSAGES=en_US.UTF-8
LANG=en_US.UTF-8
DISPLAY=:0
PWD=/root
LOGNAME=cjpm
ENV=/home/cjpm/.shrc
LC_CTYPE=en_US.UTF-8
XAUTHORITY=/var/run/gdm/auth-for-cjpm-WySFEJ/database
DESKTOP_SESSION=gnome
XDG_SESSION_DESKTOP=gnome
GDMSESSION=gnome
GNOME_KEYRING_CONTROL=/home/cjpm/.cache/keyring-9GXU4X
USERNAME=cjpm
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
WINDOWPATH=9
DBUS_SESSION_BUS_ADDRESS=unix:path=/tmp/dbus-OpYC1LzTxp,guid=01a9cca00c9c11332372fc4555f81fab
VTE_VERSION=4002
GJS_DEBUG_TOPICS=JS ERROR;JS LOG
XDG_MENU_PREFIX=gnome-
XDG_SESSION_COOKIE=ad88cbf96a41691bd545eae155cd2a72-1442324392.839799-1341338344
GDM_LANG=en_US.UTF-8
GJS_DEBUG_OUTPUT=stderr
XDG_SESSION_TYPE=x11
SHELL=/bin/csh
WINDOWID=27282078
TERM=xterm-256color
SESSION_MANAGER=local/bsd.nix:/tmp/.ICE-unix/1431
XDG_CURRENT_DESKTOP=GNOME
PAGER=less -IRs
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
EDITOR=ee
HOME=/root
USER=cjpm
HOSTTYPE=FreeBSD
VENDOR=amd
OSTYPE=FreeBSD
MACHTYPE=x86_64
SHLVL=2
GROUP=cjpm
HOST=bsd.nix
CLICOLOR=true
LSCOLORS=GxfxcxdxBxegedabagacad
BLOCKSIZE=K
LESS_TERMCAP_mb=
LESS_TERMCAP_md=
LESS_TERMCAP_me=
LESS_TERMCAP_so=
LESS_TERMCAP_se=
LESS_TERMCAP_us=
LESS_TERMCAP_ue=
Comment 22 Carlos J Puga Medina 2015-09-16 00:54:48 UTC
OK, finally I built it successfully after doing some changes and rebuild world

% cat /etc/src.conf 
WITHOUT_KERBEROS=yes
WITHOUT_KERBEROS_SUPPORT=yes

% cat /etc/make.conf | grep KRB5
KRB5_HOME=/usr/local
KRB5_IMPL=mit
Comment 23 Carlos J Puga Medina 2015-09-16 00:57:03 UTC
Created attachment 161092 [details]
ocserv build log on 10.2-amd64
Comment 24 Cy Schubert freebsd_committer 2015-09-16 02:01:33 UTC
(In reply to Carlos J Puga Medina from comment #22)
Excellent!

Can we close this PR off?
Comment 25 Carlos J Puga Medina 2015-09-16 02:28:42 UTC
(In reply to Cy Schubert from comment #24)

Yes, we can close this PR if Kurt is agree :)
Comment 26 Cy Schubert freebsd_committer 2015-09-16 03:08:21 UTC
Customer rebuild (buildworld/installworld) site base. PR resolved.
Comment 27 Cy Schubert freebsd_committer 2015-09-16 03:08:43 UTC
Not a bug.